/*
	File:		TargetInfoMgt.h

	Contains:	xxx put contents here xxx

	Copyright:	 1993-1996 by Apple Computer, Inc., all rights reserved.

*/



#ifndef __TargetInfoMgt__
#define __TargetInfoMgt__

#ifndef __Files__
#include <Files.h>
#endif


typedef struct {
	FSSpec			fSrcFSSpec;
	long			fSrcDataType;
	Str31			fTgtFileName;
	short			fTgtFinderAttrs;
	long			fTgtDataForkSize;
	long			fTgtRsrcForkSize;
	long			fTgtCreationDate;
	ResType			fTgtFileType;		// Not supported in 4.0.0
	ResType			fTgtFileCreator;	// Not supported in 4.0.0
	long			fTgtModDate;		// Not supported in 4.0.0
} TgtFileInfoType;

typedef struct {
	FSSpec			fSrcFSSpec;
	long			fSrcDataType;
	OSType			fSrcRsrcType;	
	short			fSrcRsrcID;
	OSType			fTgtRsrcType;	
	short			fTgtRsrcID;
	short			fTgtRsrcAttrs;
	long			fTgtRsrcSize;
} TgtRsrcInfoType;

typedef union {
	TgtFileInfoType			fFileInfo;
	TgtRsrcInfoType			fRsrcInfo;
} TargetInfoPB, *TargetInfoPBPtr;

#define	kDataTypeIsFile	-1
#define	kDataTypeIsRsrc	1

typedef long	(*TargetInfoProcPtr)( TargetInfoPBPtr );		
							
#endif
